package response

// Interfaz para respuestas SOAP que tienen transacción y datos
type SoapResponse[T any] interface {
	IsTransactionSuccessful() bool
	GetData() T
}

type SoapResponseLeyenda[T any] interface {
	IsTransactionSuccessful() bool
	AsignarCodigosSecuenciales()
	GetData() T
}

type SoapResponseFechaHora[T any] interface {
	GetData() T
}
